• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Shared object "libintl.so.9" not found

Anand Suresh

New Member


Messages: 6

#1
Since the last upgrade for the port devel/gettext, I've been noticing this error pop up. Checking the system, I cannot find the file libintl.so.9. There is a libintl.so.8 which symlinks to libintl.so.8.1.2. The only references to libintl.so.9 that I find in my Chef logs is for the bash package which lists libintl.so.9 as a shared library dependency.

The result is that after the chef run breaks half-way (attempting to run npm install for a node package that has a dependency on python which in turn depends on libintl.so.9), I am unable to do much, since sudo and bash both have a dependency on libintl.so.9, and fail with: "Shared object "libintl.so.9" not found, required for [sudo|bash]".
Code:
-bash-4.3$ pkg which /usr/local/lib/libintl.so.9
/usr/local/lib/libintl.so.9 was installed by package gettext-runtime-0.19.3
-bash-4.3$ ls -laG /usr/local/lib/libintl.so.9
ls: /usr/local/lib/libintl.so.9: No such file or directory
  1. Is there a known issue with the latest update to devel/gettext
  2. Is there a workaround for this problem?
If it helps, I'm running FreeBSD 10.1-RELEASE with a custom kernel (dtrace-related patches).
 

wblock@

Administrator
Staff member
Administrator
Moderator
Developer

Thanks: 3,607
Messages: 13,850

#2
If you installed from binary packages, the 20141130 entry in /usr/ports/UPDATING might not be required. For ports, it is.
 

ShelLuser

Son of Beastie

Thanks: 1,274
Messages: 2,702

#4
Seems there was a problem with version 4.3.30 of the port. I could reproduce the problem on my laptop. And just when I was trying if a forced re-install would work did I notice an upgrade which fixed all this.

Right now version 4.3.30_1 is available and no more issues...

Code:
feliner:/home/peter $ uname -a
FreeBSD feliner.intranet.lan 10.0-RELEASE-p12 FreeBSD 10.0-RELEASE-p12 #6 r275474: Thu Dec  4 20:22:26 CET 2014     peter@feliner.intranet.lan:/usr/obj/usr/src/sys/FELINER  i386
feliner:/home/peter $ bash
[peter@feliner ~]$ pkg info -ix bash
bash-4.3.30_1
feliner:/usr/local/bin $ ldd bash
bash:
  libncurses.so.8 => /lib/libncurses.so.8 (0x28126000)
  libintl.so.8 => /usr/local/lib/libintl.so.8 (0x28162000)
  libc.so.7 => /lib/libc.so.7 (0x2816b000)
 

wblock@

Administrator
Staff member
Administrator
Moderator
Developer

Thanks: 3,607
Messages: 13,850

#5
When using packages, that file might not be updated. It's possible this is a problem with the package. Here is what I have from ports:
Code:
[cmd=%]ls -lh /usr/local/lib/libintl.so*[/cmd]
lrwxr-xr-x  1 root  wheel  16B Nov 29 18:41 /usr/local/lib/libintl.so -> libintl.so.8.1.2
lrwxr-xr-x  1 root  wheel  16B Nov 29 18:41 /usr/local/lib/libintl.so.8 -> libintl.so.8.1.2
-rw-r--r--  1 root  wheel  54K Nov 29 18:41 /usr/local/lib/libintl.so.8.1.2
lrwxr-xr-x  1 root  wheel  12B Nov 29 18:41 /usr/local/lib/libintl.so.9 -> libintl.so.8
 

ShelLuser

Son of Beastie

Thanks: 1,274
Messages: 2,702

#6
And I also was a bit too hasty with my previous comment; the problem doesn't only involve the bash package but much more. Today I tried to upgrade vlc on my laptop (it runs on FreeBSD 10 and only uses binary packages) and well...

Code:
root@feliner:/home/peter # pkg upgrade vlc
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking integrity... done (0 conflicting)
The following 1 packages will be affected (of 0 checked):

Installed packages to be UPGRADED:
        vlc: 2.1.5_10,4 -> 2.1.5_11,4

Proceed with this action? [y/N]: y
[1/1] Upgrading vlc from 2.1.5_10,4 to 2.1.5_11,4: 100%
Shared object "libintl.so.9" not found, required by "update-desktop-database"
Guess I got more sorting out to do this evening ;)
 

ondra_knezour

Aspiring Daemon

Thanks: 184
Messages: 747

#8
After upgrading the package, I got only libintl.so.8.1.2 and libintl.so.8 files, second being a symbolic link to the first one.
 

ondra_knezour

Aspiring Daemon

Thanks: 184
Messages: 747

#9
And when doing upgrade on second snapshot of the same virtual machine, I got exactly what wblock@ has by following an /usr/ports/UPGRADING entry
# pkg delete -f gettext
# pkg upgrade
 

karadaharu

New Member


Messages: 1

#10
I got the same trouble and here is my temporary solution.

Code:
$ su
# ln -s /usr/local/lib/libintl.so.8 /usr/local/lib/libintl.so.9
# ln -s /usr/local/lib/libiconv.so.3 /usr/local/lib/libiconv.so.2
# ln -s /usr/lobal/lib/libxml2.so.5 /lib/libxml2.so.2
 

wimwauters

New Member

Thanks: 1
Messages: 3

#12
OR you could simply wait a week (or less) for the next update of the packages: the problem above got resolved for me yesterday, after running pkg update, pkg fetch -u and pkg upgrade
:)
 

netaccs

Member


Messages: 44

#13
I have same error about libintl.so.9:
Shared object "" not found, required by "check_load" (check_load is nagios plugin)
FreeBSD 9.3 upgraded to 11.1R p4.
Code:
ll -h /usr/local/lib/libintl.so*
lrwxr-xr-x  1 root  wheel    16B Jan  2 03:18 /usr/local/lib/libintl.so@ -> libintl.so.8.1.5
lrwxr-xr-x  1 root  wheel    16B Jan  2 03:18 /usr/local/lib/libintl.so.8@ -> libintl.so.8.1.5
-rw-r--r--  1 root  wheel    54K Jan  2 03:18 /usr/local/lib/libintl.so.8.1.5
Also running
Code:
/etc/rc.d/ldconfig restart
 
Top